curl --request DELETE \
--url https://personalization.us.algolia.com/1/profiles/test-user-123 \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new PersonalizationClient(
new PersonalizationConfig(
"ALGOLIA_APPLICATION_ID",
"ALGOLIA_API_KEY",
"ALGOLIA_APPLICATION_REGION"
)
);
// Call the API
var response = await client.DeleteUserProfileAsync("UserToken");
// print the response
Console.WriteLine(response);// Initialize the client with your application region, eg. personalization.ALGOLIA_APPLICATION_REGION
client, err := personalization.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", personalization.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.DeleteUserProfile(client.NewApiDeleteUserProfileRequest(
"UserToken"))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
PersonalizationClient client = new PersonalizationClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
DeleteUserProfileResponse response = client.deleteUserProfile("UserToken");
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initPersonalization({ region: 'us' });
// Call the API
const response = await client.deleteUserProfile({ userToken: 'UserToken' });
// print the response
console.log(response);// Initialize the client
val client =
PersonalizationClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response = client.deleteUserProfile(userToken = "UserToken")
// print the response
println(response)// Initialize the client
$client = PersonalizationClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->deleteUserProfile(
'UserToken',
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use PersonalizationClient instead, which exposes the exact same methods.
client = PersonalizationClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.delete_user_profile(
user_token="UserToken",
)
# print the response
print(response)# Initialize the client
client = Algolia::PersonalizationClient.create(
"ALGOLIA_APPLICATION_ID",
"ALGOLIA_API_KEY",
"ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.delete_user_profile("UserToken")
# print the response
puts(response)// Initialize the client
val client = PersonalizationClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.deleteUserProfile(
userToken = "UserToken"
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try PersonalizationClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.deleteUserProfile(userToken: "UserToken")
// print the response
print(response){
"deletedUntil": "<string>",
"userToken": "test-user-123"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}Delete a user profile
Deletes a user profile.
curl --request DELETE \
--url https://personalization.us.algolia.com/1/profiles/test-user-123 \
--header 'accept: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'// Initialize the client
var client = new PersonalizationClient(
new PersonalizationConfig(
"ALGOLIA_APPLICATION_ID",
"ALGOLIA_API_KEY",
"ALGOLIA_APPLICATION_REGION"
)
);
// Call the API
var response = await client.DeleteUserProfileAsync("UserToken");
// print the response
Console.WriteLine(response);// Initialize the client with your application region, eg. personalization.ALGOLIA_APPLICATION_REGION
client, err := personalization.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", personalization.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.DeleteUserProfile(client.NewApiDeleteUserProfileRequest(
"UserToken"))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
PersonalizationClient client = new PersonalizationClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
DeleteUserProfileResponse response = client.deleteUserProfile("UserToken");
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initPersonalization({ region: 'us' });
// Call the API
const response = await client.deleteUserProfile({ userToken: 'UserToken' });
// print the response
console.log(response);// Initialize the client
val client =
PersonalizationClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response = client.deleteUserProfile(userToken = "UserToken")
// print the response
println(response)// Initialize the client
$client = PersonalizationClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->deleteUserProfile(
'UserToken',
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use PersonalizationClient instead, which exposes the exact same methods.
client = PersonalizationClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.delete_user_profile(
user_token="UserToken",
)
# print the response
print(response)# Initialize the client
client = Algolia::PersonalizationClient.create(
"ALGOLIA_APPLICATION_ID",
"ALGOLIA_API_KEY",
"ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.delete_user_profile("UserToken")
# print the response
puts(response)// Initialize the client
val client = PersonalizationClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION"
)
// Call the API
val response = Await.result(
client.deleteUserProfile(
userToken = "UserToken"
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try PersonalizationClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.deleteUserProfile(userToken: "UserToken")
// print the response
print(response){
"deletedUntil": "<string>",
"userToken": "test-user-123"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}recommendationAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
Unique identifier representing a user for which to fetch the personalization profile. Unique pseudonymous or anonymous user identifier.
This helps with analytics and click and conversion events. For more information, see user token.
"test-user-123"
Response
OK
Date and time when the user profile can be safely considered to be deleted.
Any events received after the deletedUntil date start a new user profile.
Unique pseudonymous or anonymous user identifier.
This helps with analytics and click and conversion events. For more information, see user token.
"test-user-123"
Was this page helpful?